/** @component avatar */
import { ElementRef, EventEmitter, OnChanges, OnInit } from '@angular/core';
export declare type AvatarSize = 'xsmall' | 'small' | 'medium' | 'large' | 'xlarge' | 18 | 24 | 28 | 36 | 40 | 44 | 52 | 56 | 72 | 80 | 84;
export declare type AvatarType = '' | 'active' | 'bot' | 'call' | 'dnd' | 'group' | 'inactive' | 'meeting' | 'ooo' | 'presenting' | 'self' | 'typing';
export declare class AvatarComponent implements OnInit, OnChanges {
    private elementRef;
    ariaLabel: string;
    /** @option Image alt tag | '' */
    alt: string;
    /** @option Set Avatar background color | '' */
    backgroundColor: string;
    /** @option Optional css class string for button | '' */
    buttonClassName: string;
    /** @option Optional css class string for Avatar component | null */
    className: string;
    /** @option Set Avatar text color | '' */
    color: string;
    /** @option Set existance of a failureBadge on the Avatar | false */
    failureBadge: boolean;
    /** @option Set existance of a notification on the Avatar | false */
    hasNotification: boolean;
    /** @option Set the visibility of Avatar's default tooltip | false */
    hideDefaultTooltip: boolean;
    /** @option Optional icon name for the Avatar | null */
    icon: string;
    /** @option Set if Avatar's content is decrypting | false */
    isDecrypting: boolean;
    /** @option Set existance of Avatar's Overview | false */
    isOverview: boolean;
    /** @option Set the size of the Avatar from one of the preconfigured options | 'medium' */
    size: AvatarSize;
    /** @option Optional image source for the Avatar | null */
    src: string;
    /** @option Optional Avatar color theme | null */
    theme: string;
    /** @option set Avatar title / user's name | null */
    title: string;
    /** @option optional Avatar type | '' */
    type: AvatarType;
    click: EventEmitter<any>;
    image: ElementRef;
    private _size;
    private _type;
    private _theme;
    clickable: boolean;
    isImageLoaded: boolean;
    isImageErrored: boolean;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    handleImgChange(): void;
    handleImgError(): void;
    handleImgLoaded(): void;
    getInitials(): string;
}
