/** @component checkbox */
import { ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
export declare class CheckboxComponent implements ControlValueAccessor {
    private cdr;
    private elementRef;
    /** @option Optional CSS class name on checkbox input | '' */
    className: string;
    /** @option String value that corresponds with Checkbox  | '' */
    value: any;
    /** @option index of the checkbox in tab order */
    tabIndex: number;
    /** @option angular form control */
    formControl: FormControl;
    /** @option Optional css class string | ''  */
    class: string;
    /** @option Sets the disabled attribute of the Input | false */
    disabled: boolean;
    /** @option Optional indeterminate capabilities of checkbox | false */
    indeterminate: boolean;
    /** @option Input label text | '' */
    label: string;
    /** @option Optional required setting for Checkbox input | false */
    required: boolean;
    /** @option Unique HTML ID. Used for tying label to HTML input | '' */
    htmlId: string;
    /** @option sets value of the Checkbox input element | false */
    selectedItem: boolean;
    /** @option Sets the attribute name to the Checkbox input element | '' */
    name: string;
    checkStatus: boolean;
    private _nestedLevel;
    /** @option Sets optional checkbox nestedLevel | null */
    nestedLevel: number;
    /** @prop optional emitter to invoke an checkStatusChange handler when checkbox toggles */
    checkStatusChange: EventEmitter<any>;
    checked: boolean;
    list: any;
    constructor(cdr: ChangeDetectorRef, elementRef: ElementRef);
    onListChange: Function;
    onListTouched: Function;
    writeValue(list: any): void;
    registerOnChange(fn: Function): void;
    registerOnTouched(fn: Function): void;
    onClick(e: any): void;
    updateList(): void;
    handleChange(event: any): void;
    isChecked(): boolean;
    uncheck(): void;
    addCheck(): void;
}
