import { FocusOrigin } from '@angular/cdk/a11y';
import { AfterContentInit, EventEmitter, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { MenuItemComponent } from './menu-item.component';
export declare type MenuDirection = 'top-center' | 'left-center' | 'right-center' | 'bottom-center' | 'top-left' | 'top-right' | 'bottom-left' | 'bottom-right' | 'left-top' | 'left-bottom' | 'right-top' | 'right-bottom';
export declare class MenuComponent implements OnInit, AfterContentInit, OnDestroy {
    /** @prop Text to display for accessibility features | ''  */
    ariaLabel: string;
    /** @prop Sets the direction in which the EventOverlay extends | 'bottom-left' */
    direction: MenuDirection;
    /** @prop Whether the menu has a backdrop. */
    hasBackdrop: boolean;
    /** @prop Determines if the Menu should show the arrow | false */
    showArrow: boolean;
    /** Event emitted when the menu is closed. */
    readonly closed: EventEmitter<void | 'click' | 'keydown'>;
    readonly select: EventEmitter<MenuItemComponent>;
    templateRef: TemplateRef<any>;
    private _direction;
    private _items;
    private _itemChanges;
    private _keyManager;
    classList: {
        [key: string]: boolean;
    };
    parentMenu: MenuComponent | undefined;
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    addItem(item: MenuItemComponent): void;
    removeItem(item: MenuItemComponent): void;
    private _setPositionClasses;
    onKeydown(event: KeyboardEvent): void;
    focusFirstItem(origin?: FocusOrigin): void;
}
